Summary: An IMAP server
Name: dovecot
%define realversion 0.99.10
Version: 0.99.10
Release: 01es4
Epoch: 1
License: GPL
Group: Networking/Daemons
Source0: %{name}-%{realversion}.tar.gz
Patch0: dovecot-0.99.10.hierarchy_sep.patch
Patch1: dovecot-0.99.10.date.search.patch
Patch2: dovecot-0.99.10-address-parser.patch
Url: http://dovecot.procontrol.fi/
BuildRoot: /var/tmp/%{name}-%{version}-build-root/
Requires: perl
Provides: imap

%description
Dovecot is an IMAP server whose major goals are security and extreme
reliability. It uses index files to optimally store the mailbox state,
which makes it very fast even with huge mailboxes. Indexes won't prevent
external mailbox updates, so Dovecot is still fully compatible with
standard Maildir and mbox formats. There's also a fully featured POP3
server included.

%prep
%setup -q -n %{name}-%{realversion}
%patch0 -p1
%patch1 -p0
%patch2 -p0

%build
./configure \
    --with-ssldir=%{_datadir}/ssl/ \
    --with-ssl=openssl \
    --without-passwd \
    --without-shadow \
    --with-pam \
    --without-ldap \
    --without-vpopmail \
    --without-static-userdb \
    --without-cyrus-sasl2 \
    --with-rawlog \
    --without-pop3d \
    --prefix=/usr \
    --sysconfdir=/etc \
    --localstatedir=/var 

make CFLAGS="$RPM_OPT_FLAGS"

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr $RPM_BUILD_ROOT/etc
make install  DESTDIR=$RPM_BUILD_ROOT 
cd doc
make install \
    docdir=$RPM_BUILD_ROOT/usr/share/doc/dovecot-%{version}-%{release}
mv $RPM_BUILD_ROOT/etc/dovecot-example.conf $RPM_BUILD_ROOT/etc/dovecot.conf

%files 
%defattr(-,root,root)
%dir /usr/libexec/dovecot
/usr/libexec/dovecot/*
/usr/sbin/dovecot
%config(noreplace) /etc/dovecot.conf
%dir /usr/share/doc/dovecot-%{version}-%{release}
%doc /usr/share/doc/dovecot-%{version}-%{release}/*

%changelog
* Thu Sep  4 2003 Charlie Brady <charlieb@e-smith.com>
- [0.99.10-01es4]
- Null checkin and rebuild to test CVS import.

* Wed Sep 03 2003 Charlie Brady <charlieb@e-smith.com> 0.99.10-01es3
- Add search by address crash fix from Timo Sirainen.

* Wed Jul 09 2003 Charlie Brady <charlieb@e-smith.com> 0.99.10-01es2
- Add sort-by-date timezone handling fix from Timo Sirainen.

* Wed Jul 02 2003 Charlie Brady <charlieb@e-smith.com> 0.99.10-01es1
- Use 0.99.10 version. Add Epoch header to allow upgrade over -rcX versions.

* Wed Jun 25 2003 Charlie Brady <charlieb@e-smith.com> 0.99.10-rc4-01es1
- Use 0.99.10-rc4 version.

* Wed Jun 25 2003 Charlie Brady <charlieb@e-smith.com> 0.99.10-rc3-01es1
- Use 0.99.10-rc3 version. Remove obsolete bugfix patch.

* Mon Jun 23 2003 Charlie Brady <charlieb@e-smith.com> 0.99.10-rc2-01es2
- Apply fetch from empty mailbox fix.
- Make dovecot.conf a noreplace config file in filelist.

* Mon Jun 23 2003 Charlie Brady <charlieb@e-smith.com> 0.99.10-rc2-01es1
- Apply hierarchy separator patch.

* Mon Jun 23 2003 Charlie Brady <charlieb@e-smith.com> 0.99.10-rc2-01
- Use 0.99.10-rc2 version (unmodified).

* Sun Jun 22 2003 Charlie Brady <charlieb@e-smith.com> 0.99.9.1-1es3
- Add some fixes to hierarchy separator patch. Omit fetch body
  corruption patch.

* Tue Jun 17 2003 Charlie Brady <charlieb@e-smith.com> 0.99.9.1-1es2
- Apply fetch body corruption patch.

* Mon Jun 16 2003 Charlie Brady <charlieb@e-smith.com> 0.99.9.1-1es
- Apply hierarchy separator patch.

* Mon Jun 16 2003 Charlie Brady <charlieb@e-smith.com> 0.99.9.1-01
- Upgrade to 0.99.9.1 release.

* Fri Apr 25 2003 Charlie Brady <charlieb@e-smith.com>
- [0.99.8.4-03]
- Apply a set of bugfix patches from dovecot's website. [charlieb 8527]

* Tue Apr 22 2003 Mark Knox <markk@e-smith.com>
- [0.99.8.4-02]
- Changed one last reference to folder separator char [markk 8272]

* Mon Apr 21 2003 Mark Knox <markk@e-smith.com>
- [0.99.8.4-01]
- Third time's the charm. [markk 8272]

* Mon Apr 21 2003 Mark Knox <markk@e-smith.com>
- [0.99.8.3-01]
- Still more build tweaking [markk 8272]

* Mon Apr 21 2003 Mark Knox <markk@e-smith.com>
- [0.99.8.2-01]
- Clean up after building [markk 8272]
- Include default config file [markk 8272]

* Mon Apr 21 2003 Mark Knox <markk@e-smith.com>
- [0.99.8.1-04]
- Further changes to hierarchy and folder separator (. to ;) [markk 8272]
- Imported into CVS

* Mon Apr 14 2003 Charlie Brady <charlieb@e-smith.com> 0.99.8.1-03
- Change hierarchy separator from . to ;.
- Add "Provides: imap" header.

* Thu Mar 20 2003 Charlie Brady <charlieb@e-smith.com> 0.99.8.1-02
- Patch so that imapd runs happily pre-authed under imapfront.

* Thu Mar 20 2003 Charlie Brady <charlieb@e-smith.com> 0.99.8.1-1
- Initial
